<?php
/**
 * Footer Customizer Options
 *
 * @package Matrimony
 */
// Footer Setting
$wp_customize->add_panel('matrimony_footer_setups',
	array(
		'priority' => 14,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => esc_html__('Footer Sections ','matrimony'),
	)
);
$wp_customize->add_setting('matrimony_top_footer_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);

$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimony_top_footer_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Top Footer Settings', 'matrimony'),
		'section' => 'matrimony_footer_setups',
		)
	)
);
$wp_customize->add_setting('matrimony_footer_image',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_footer_image',
	array(
	'label'      => esc_html__( 'Footer Background Image ', 'matrimony' ),
	'section'    => 'matrimony_footer_setups',
	'settings'   => 'matrimony_footer_image',
	'priority' => 4,
	)
) );
$wp_customize->add_section('matrimony_footer_cpy_setups',
	array(
		'priority' => 1,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => esc_html__('Footer Copy Right','matrimony'),
		'panel' => 'matrimony_footer_setups'
	)
);
$wp_customize->add_setting( 'matrimony_copyright_text',
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_copyright_text',
	array(
		'type' => 'text',
		'label' => esc_html__( 'Copyright Text', 'matrimony' ),
		'section' => 'matrimony_footer_cpy_setups',
		'priority' => 5
	)
);